> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get suggestion queries

> Get suggestion queries for a specific user with language preference.



## OpenAPI

````yaml mintdocs/openapi.json post /product/suggestions
openapi: 3.1.0
info:
  title: MemOS API
  version: 1.0.0
servers: []
security: []
paths:
  /product/suggestions:
    post:
      tags:
        - Server API
      summary: Get suggestion queries
      description: Get suggestion queries for a specific user with language preference.
      operationId: get_suggestion_queries_product_suggestions_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuggestionRequest:
      properties:
        user_id:
          type: string
          title: User Id
          description: User ID
        mem_cube_id:
          type: string
          title: Mem Cube Id
          description: Cube ID
        language:
          type: string
          enum:
            - zh
            - en
          title: Language
          description: Language for suggestions
          default: zh
        message:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionSystemMessageParam'
                  - $ref: '#/components/schemas/ChatCompletionUserMessageParam'
                  - $ref: '#/components/schemas/ChatCompletionAssistantMessageParam'
                  - $ref: '#/components/schemas/ChatCompletionToolMessageParam'
              type: array
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
                  - $ref: '#/components/schemas/File'
              type: array
            - type: 'null'
          title: Message
          description: List of messages to store.
      type: object
      required:
        - user_id
        - mem_cube_id
      title: SuggestionRequest
      description: Request model for getting suggestion queries.
    SuggestionResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
        message:
          type: string
          title: Message
          description: Response message
        data:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              type: object
            - type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: SuggestionResponse
      description: Response model for suggestion operations.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChatCompletionSystemMessageParam:
      properties:
        content:
          anyOf:
            - type: string
            - items:
                $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
              type: array
            - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
          title: Content
        role:
          type: string
          const: system
          title: Role
        name:
          type: string
          title: Name
        chat_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Time
        message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Id
      type: object
      required:
        - content
        - role
      title: ChatCompletionSystemMessageParam
    ChatCompletionUserMessageParam:
      properties:
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
                  - $ref: '#/components/schemas/ChatCompletionContentPartImageParam'
                  - $ref: >-
                      #/components/schemas/ChatCompletionContentPartInputAudioParam
                  - $ref: '#/components/schemas/File'
              type: array
            - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
            - $ref: '#/components/schemas/ChatCompletionContentPartImageParam'
            - $ref: '#/components/schemas/ChatCompletionContentPartInputAudioParam'
            - $ref: '#/components/schemas/File'
          title: Content
        role:
          type: string
          const: user
          title: Role
        name:
          type: string
          title: Name
        chat_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Time
        message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Id
      type: object
      required:
        - content
        - role
      title: ChatCompletionUserMessageParam
    ChatCompletionAssistantMessageParam:
      properties:
        role:
          type: string
          const: assistant
          title: Role
        audio:
          anyOf:
            - $ref: '#/components/schemas/Audio'
            - type: 'null'
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
                  - $ref: '#/components/schemas/ChatCompletionContentPartRefusalParam'
              type: array
            - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
            - $ref: '#/components/schemas/ChatCompletionContentPartRefusalParam'
            - type: 'null'
          title: Content
        refusal:
          anyOf:
            - type: string
            - type: 'null'
          title: Refusal
        tool_calls:
          anyOf:
            - items:
                anyOf:
                  - $ref: >-
                      #/components/schemas/ChatCompletionMessageFunctionToolCallParam
                  - $ref: >-
                      #/components/schemas/ChatCompletionMessageCustomToolCallParam
              type: array
            - $ref: '#/components/schemas/ChatCompletionMessageFunctionToolCallParam'
            - $ref: '#/components/schemas/ChatCompletionMessageCustomToolCallParam'
          title: Tool Calls
        chat_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Time
        message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Id
      type: object
      required:
        - role
      title: ChatCompletionAssistantMessageParam
    ChatCompletionToolMessageParam:
      properties:
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
                  - $ref: '#/components/schemas/ChatCompletionContentPartImageParam'
                  - $ref: >-
                      #/components/schemas/ChatCompletionContentPartInputAudioParam
                  - $ref: '#/components/schemas/File'
              type: array
            - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
            - $ref: '#/components/schemas/ChatCompletionContentPartImageParam'
            - $ref: '#/components/schemas/ChatCompletionContentPartInputAudioParam'
            - $ref: '#/components/schemas/File'
          title: Content
        role:
          type: string
          const: tool
          title: Role
        tool_call_id:
          type: string
          title: Tool Call Id
        chat_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Time
        message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Id
      type: object
      required:
        - content
        - role
        - tool_call_id
      title: ChatCompletionToolMessageParam
    ChatCompletionContentPartTextParam:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          const: text
          title: Type
      type: object
      required:
        - text
        - type
      title: ChatCompletionContentPartTextParam
    File:
      properties:
        file:
          $ref: '#/components/schemas/FileFile'
        type:
          type: string
          const: file
          title: Type
      type: object
      required:
        - file
        - type
      title: File
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChatCompletionContentPartImageParam:
      properties:
        image_url:
          $ref: '#/components/schemas/ImageURL'
        type:
          type: string
          const: image_url
          title: Type
      type: object
      required:
        - image_url
        - type
      title: ChatCompletionContentPartImageParam
    ChatCompletionContentPartInputAudioParam:
      properties:
        input_audio:
          $ref: '#/components/schemas/InputAudio'
        type:
          type: string
          const: input_audio
          title: Type
      type: object
      required:
        - input_audio
        - type
      title: ChatCompletionContentPartInputAudioParam
    Audio:
      properties:
        id:
          type: string
          title: Id
      type: object
      required:
        - id
      title: Audio
    ChatCompletionContentPartRefusalParam:
      properties:
        refusal:
          type: string
          title: Refusal
        type:
          type: string
          const: refusal
          title: Type
      type: object
      required:
        - refusal
        - type
      title: ChatCompletionContentPartRefusalParam
    ChatCompletionMessageFunctionToolCallParam:
      properties:
        id:
          type: string
          title: Id
        function:
          $ref: '#/components/schemas/Function'
        type:
          type: string
          const: function
          title: Type
      type: object
      required:
        - id
        - function
        - type
      title: ChatCompletionMessageFunctionToolCallParam
    ChatCompletionMessageCustomToolCallParam:
      properties:
        id:
          type: string
          title: Id
        custom:
          $ref: '#/components/schemas/Custom'
        type:
          type: string
          const: custom
          title: Type
      type: object
      required:
        - id
        - custom
        - type
      title: ChatCompletionMessageCustomToolCallParam
    FileFile:
      properties:
        file_data:
          type: string
          title: File Data
        file_id:
          type: string
          title: File Id
        filename:
          type: string
          title: Filename
      type: object
      title: FileFile
    ImageURL:
      properties:
        url:
          type: string
          title: Url
        detail:
          type: string
          enum:
            - auto
            - low
            - high
          title: Detail
      type: object
      required:
        - url
      title: ImageURL
    InputAudio:
      properties:
        data:
          type: string
          title: Data
        format:
          type: string
          enum:
            - wav
            - mp3
          title: Format
      type: object
      required:
        - data
        - format
      title: InputAudio
    Function:
      properties:
        arguments:
          type: string
          title: Arguments
        name:
          type: string
          title: Name
      type: object
      required:
        - arguments
        - name
      title: Function
    Custom:
      properties:
        input:
          type: string
          title: Input
        name:
          type: string
          title: Name
      type: object
      required:
        - input
        - name
      title: Custom

````